package com.aidex.system.service.impl;

import java.util.List;
import org.springframework.stereotype.Service;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import com.github.pagehelper.PageInfo;
import com.aidex.common.core.domain.BaseEntity;
import com.aidex.common.core.service.BaseServiceImpl;
import com.aidex.system.mapper.SysShipMapper;
import com.aidex.system.domain.SysShip;
import com.aidex.system.service.SysShipService;
import org.springframework.transaction.annotation.Transactional;

/**
 * 船只管理Service业务层处理
 * @author ChenSir
 * @email 91476835
 * @date 2024-03-16
 */
@Service
@Transactional(readOnly = true)
public class SysShipServiceImpl extends BaseServiceImpl<SysShipMapper, SysShip> implements SysShipService {

    private static final Logger log = LoggerFactory.getLogger(SysShipServiceImpl.class);

    /**
     * 获取单条数据
     * @param sysShip 船只管理
     * @return 船只管理
     */
    @Override
    public SysShip get(SysShip sysShip) {
        SysShip dto = super.get(sysShip);
        return dto;
    }

    /**
     * 获取单条数据
     * @param id 船只管理id
     * @return 船只管理
     */
    @Override
    public SysShip get(String id) {
        SysShip dto = super.get(id);
        return dto;
    }

    /**
     * 查询船只管理列表
     * @param sysShip 船只管理
     * @return 船只管理
     */
    @Override
    public List<SysShip> findList(SysShip sysShip) {
		List<SysShip> sysShipList = super.findList(sysShip);
        return sysShipList;
    }

    /**
     * 分页查询船只管理列表
     * @param sysShip 船只管理
     * @return 船只管理
     */
    @Override
    public PageInfo<SysShip> findPage(SysShip sysShip) {
		PageInfo<SysShip> page = super.findPage(sysShip);
        return page;
    }

    /**
     * 保存船只管理
     * @param sysShip
     * @return 结果
     */
    @Override
    public boolean save(SysShip sysShip) {
        return super.save(sysShip);
    }

    /**
     * 删除船只管理信息
     * @param sysShip
     * @return 结果
     */
    @Override
    public boolean remove(SysShip sysShip) {
        return super.remove(sysShip);
    }

    /**
     * 批量删除船只管理
     * @param ids 需要删除的船只管理ID
     * @return 结果
     */
    @Transactional(readOnly = false)
    @Override
    public int deleteSysShipByIds(String[] ids) {
        return mapper.deleteSysShipByIds(ids, BaseEntity.DEL_FLAG_DELETE);
    }

}
